List all projects across organizations.
GET
/v1/projects
Code sample: Shell / cURL
curl --request GET \ --url https://stratum.example.com/v1/projects \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Projects.
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
organizationId
required
string
name
required
string
displayName
required
string
description
string
ownerUserId
required
string
state
required
string
regions
required
Array<string>
tags
AWS-shape resource tags. Freeform UTF-8 keys (1-128 bytes, no
leading/trailing whitespace) mapped to freeform UTF-8 values
(0-256 bytes). Max 50 tags per resource. Reserved prefixes
(stratum.dev/, stratum.platform_health., stratum:,
aws:) return 400 RESERVED_NAMESPACE on customer input.
PATCH replaces the whole map..
object
key
additional properties
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
deletedAt
string format: date-time
createdBy
required
string
nextPageToken
string
Example
{ "items": [ { "state": "creating" } ]}